import java.applet.Applet;
import javax.swing.*;
import java.beans.*; //Property change stuff
import java.awt.*;
import java.awt.event.*;

class LogView extends JDialog {
	private JOptionPane optionPane;

	public LogView(Frame aFrame, String htmlLog) {
        super(aFrame, true);
        setTitle("Job Log");

		String imageDir = new String((new Applet()).getCodeBase() + "\\images\\index.htm");		
		
		//final String imageDir = "C:\\Program Files\\24x7 Scheduler 2.0\\index.htm";
        final JEditorPane logField = new JEditorPane("text/html", 
													"<base href=\"" + imageDir + "\">\n" + 
													htmlLog);
		final JScrollPane viewer = new JScrollPane(logField);
		logField.setEditable(false);
        viewer.setMinimumSize(new Dimension(600, 320));
		Object[] array = {viewer};

        final String btnClose = "Close";
        Object[] options = {btnClose};

        optionPane = new JOptionPane(array, 
                                    JOptionPane.PLAIN_MESSAGE,
                                    JOptionPane.OK_OPTION,
                                    null,
                                    options,
                                    options[0]);
		optionPane.setPreferredSize(new Dimension(650, 400));
		setContentPane(optionPane);
		
		optionPane.addPropertyChangeListener(new PropertyChangeListener() {
            public void propertyChange(PropertyChangeEvent e) {
				setVisible(false);
            }
        });
		
    }
}
